%global pypi_name assertEquals
%global commit a2af39f67d4137adc58ce632073fb325fc62142a 

Name:           python-%{pypi_name}
Version:        0.4.4
Release:        13%{?dist}
Summary:        assertEquals is an epic testing interface for Python
Group:          Development/Languages
License:        BSD

URL:            http://whit537.github.io/%{pypi_name}
# was at http://www.zetadev.com/software/testosterone/

Source0:        https://github.com/whit537/assertEquals/archive/%{commit}/%{pypi_name}-%{commit}.tar.gz
# adds test_suite to setup.py and deletes some entries from packages
Patch0:         assertEquals-setup.patch
# fixes imports (because of moving tests outside line 35) and some tests 
Patch1:         assertEquals-test.patch
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%global _description\
assertEquals is an interface for running tests written with the Python\
standard library's unittest module. It used to be named testosterone.\
It delivers summary and detail reports on TestCases discovered in\
module-space, via both a command-line and a curses(3) interface. The\
interactive mode is the default, but it depends on the non-interactive mode.\
For debugging, static tracebacks and interactive Python debugger (Pdb)\
sessions are available in both scripted and interactive modes.

%description %_description

%package -n python2-assertequals
Summary: %summary
Obsoletes:      python-testosterone < 0.4.1-8
Provides:       python-testosterone = %{version}-%{release}
%{?python_provide:%python_provide python2-assertequals}

%description -n python2-assertequals %_description

%prep
%setup -q -n %{pypi_name}-%{commit}
# move tests outside
mv assertEquals/tests/ .
# delete demo.py which stores demo tests for assertEquals errors and fails
# demonstration
rm -f tests/demo.py
# fix setup.py to reflect changes in setuptools
rm -f distribute_setup.py
%patch0
%patch1

%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 755 bin/%{pypi_name} $RPM_BUILD_ROOT/%{_bindir}/%{pypi_name}

gzip -c -9 doc/man1/%{pypi_name}.1 > %{pypi_name}.1.gz
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1/
install -m 444 %{pypi_name}.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/%{pypi_name}.1.gz

%check
%{__python2} setup.py test

 
%files -n python2-assertequals
%doc README.rst LICENSE
%{python2_sitelib}/*
%{_bindir}/%{pypi_name}
%{_mandir}/man1/%{pypi_name}.1.gz

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 15 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.4.4-12
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.4-11
- Python 2 binary package renamed to python2-assertequals
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 16 2014 Robert Kuska <rkuska@redhat.com> - 0.4.4-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Tue Aug 06 2013 Robert Kuska <rkuska@redhat.com> - 0.4.4-3
- Fix setup.py to reflect changes in setuptools

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 18 2013 Robert Kuska <rkuska@redhat.com> - 0.4.4-1
- Renamed to reflect package name chage

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 20 2009 David Malcolm <dmalcolm@redhat.com> - 0.4.1-1
- initial package

